<?php
/**
 * @file
 * Contains \Drupal\inspect\InspectHelperConfig.
 */

namespace Drupal\inspect;

/**
 * Configuration helper.
 *
 * @package Drupal\inspect
 */
class InspectHelperConfig extends \SimpleComplex\Inspect\Helper\Config
{
  /**
   * @see \SimpleComplex\Inspect\Helper\Config::__construct()
   *
   * @var \Drupal\Core\Config\ImmutableConfig
   */
  protected $config;

  /**
  * Get a configuration property.
  *
  * @param string $name
  *
  * @return mixed|null
  *
  * @throws \OutOfBoundsException
  *      If unsupported configuration property name.
  */
  public function __get(string $name) {
    if (array_key_exists($name, static::PROPERTIES)) {
      return $this->config->get($name) ?? null;
    }
    throw new \OutOfBoundsException(
      'Inspect configuration ' . get_class($this) . ' instance exposes no property[' . $name . '].'
    );
  }
}
